//---------------------------------------------------------------------------
#pragma hdrstop
#include "lokale_skema.h"
#pragma package(smart_init)
//---------------------------sandheds operatorer------------------------------//
bool lokale_skema::operator ==(const lokale_skema& a)
{
    return ID == a.ID;
}
bool lokale_skema::operator !=(const lokale_skema& a)
{
    return ID != a.ID;
}
bool lokale_skema::operator >(const lokale_skema& a)
{
    return ID > a.ID;
}
bool lokale_skema::operator <(const lokale_skema& a)
{
    return ID < a.ID;
}
bool lokale_skema::operator <=(const lokale_skema& a)
{
    return ID <= a.ID;
}
bool lokale_skema::operator >=(const lokale_skema& a)
{
    return ID >= a.ID;
}
void lokale_skema::operator =(const lokale_skema& a)
{
    for(int col = 0; col < max_col; col++)
    {
      for(int row = 0; row < max_row; row++)
      {
        if(a.skema[col][row] != NULL)
          skema[col][row] = a.skema[col][row];
        else //Skal med ellers kommer der ekstra lektioner ind på skemaet
          skema[col][row] = NULL;
      }
    }
    ID = a.ID;
}
//----------------------------------------------------------------------------//

